From 482540af9ac9e8783a1ae85eac63965f60a2cbbd Mon Sep 17 00:00:00 2001
From: gregor herrmann <gregoa@debian.org>
Date: Sat, 25 Aug 2012 14:41:18 +0200
Subject: [PATCH 4/5] add support for .jar

---
 scripts/uscan.pl |    8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

diff --git a/scripts/uscan.pl b/scripts/uscan.pl
index cb29f44..0bab138 100755
--- a/scripts/uscan.pl
+++ b/scripts/uscan.pl
@@ -1410,7 +1410,7 @@ EOF
 	$newfile_base = $newfile_base_gz;
     }
 
-    if ($repack and $newfile_base =~ /^(.*)\.zip$/) {
+    if ($repack and $newfile_base =~ /^(.*)\.(zip|jar)$/) {
 	print "-- Repacking from zip to .tar.gz\n" if $verbose;
 
 	system('command -v unzip >/dev/null 2>&1') >> 8 == 0
@@ -1422,12 +1422,12 @@ EOF
 	my $hidden = ".[!.]*";
 	my $absdestdir = abs_path($destdir);
 	system('unzip', '-q', '-a', '-d', $tempdir, "$destdir/$newfile_base") == 0
-	  or die("Repacking from zip to tar.gz failed (could not unzip)\n");
+	  or die("Repacking from zip or jar to tar.gz failed (could not unzip)\n");
 	if (defined glob("$tempdir/$hidden")) {
 	    $globpattern .= " $hidden";
 	}
 	system("cd $tempdir; GZIP='-n -9' tar --owner=root --group=root --mode=a+rX -czf \"$absdestdir/$newfile_base_gz\" $globpattern") == 0
-	  or die("Repacking from zip to tar.gz failed (could not create tarball)\n");
+	  or die("Repacking from zip or jar to tar.gz failed (could not create tarball)\n");
 	unlink "$destdir/$newfile_base";
 	$newfile_base = $newfile_base_gz;
     }
@@ -1463,7 +1463,7 @@ EOF
                 system('command -v unzip >/dev/null 2>&1') >> 8 == 0
                    or die("unzip binary not found. This would serve as fallback because tar just failed.\n");
                 system('unzip', '-q', '-a', '-d', $tempdir, "$destdir/$newfile_base") == 0
-                   or die("Repacking from zip to tar.gz failed (could not unzip)\n");
+                   or die("Repacking from zip or jar to tar.gz failed (could not unzip)\n");
             }
             my $excludesuffix = '+dfsg' ;
             my $main_source_dir = get_main_source_dir($tempdir, $pkg, $newversion, $excludesuffix);
-- 
1.7.10.4

